package com.jorge.test.hello.webservices;

import javax.jws.WebService;
import javax.xml.ws.BindingType;

import org.springframework.web.context.support.SpringBeanAutowiringSupport;

@WebService(endpointInterface = "com.jorge.test.hello.webservices.HelloWorld", serviceName = "hello")
@BindingType("http://www.w3.org/2003/05/soap/bindings/HTTP/")
public class HelloWorldImpl extends SpringBeanAutowiringSupport implements HelloWorld {

    public String sayHello(String user) {
        if ((user == null) || (user.length() == 0)) {
            return "hello world";
        }
        
        return "hello world " + user;
    }

}
